empty_string(3)

NAME
empty_string

SYNOPSIS
#include <allegro.h>

extern char empty_string[];

DESCRIPTION
You can't just rely on "" to be a valid empty string in any encoding format. This global buffer contains a number of consecutive zeros, so it will be a valid empty string no matter whether the program is running in ASCII, Unicode, or UTF-8 mode.